org.modeshape.jcr.query

## Class JcrQueryResult.QueryResultNodeIterator

- java.lang.Object
- - org.modeshape.jcr.query.JcrQueryResult.QueryResultIterator
  - - org.modeshape.jcr.query.JcrQueryResult.QueryResultNodeIterator

- All Implemented Interfaces:
    Iterator, NodeIterator, RangeIterator
  Enclosing class:
    JcrQueryResult

      @NotThreadSafe
      protected static class JcrQueryResult.QueryResultNodeIterator
      extends JcrQueryResult.QueryResultIterator
      implements NodeIterator

  The `NodeIterator` implementation returned by the `JcrQueryResult`.
  See Also:
    `JcrQueryResult.getNodes()`

- - ### Field Summary

    - ### Fields inherited from class org.modeshape.jcr.query.JcrQueryResult.QueryResultIterator

      `context`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JcrQueryResult.QueryResultNodeIterator(JcrQueryContext context, NodeSequence sequence, int defaultSelectorIndex)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `next()`
    `Node` | `nextNode()`
    `void` | `remove()`

    - ### Methods inherited from class org.modeshape.jcr.query.JcrQueryResult.QueryResultIterator

      `findNextBatch, getPosition, getSize, hasNext, moveToNextRow, skip`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.jcr.RangeIterator

      `getPosition, getSize, skip`

    - ### Methods inherited from interface java.util.Iterator

      `hasNext`

- - ### Constructor Detail

    - #### JcrQueryResult.QueryResultNodeIterator

          protected JcrQueryResult.QueryResultNodeIterator(JcrQueryContext context,
                                                NodeSequence sequence,
                                                int defaultSelectorIndex)

  - ### Method Detail

    - #### nextNode

          public Node nextNode()

      Specified by:
        `nextNode` in interface `NodeIterator`

    - #### next

          public Object next()

      Specified by:
        `next` in interface `Iterator`

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `Iterator`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.